Results 1 to 3 of 3
Discuss Trying to restore and update, getting the 'firmware file not compatible' error- help? at the iOS 4.x (iPhone OS 4.x) - Hackint0sh.org; -iPhone 4 -will be relying on an unlock -in pwned DFU mode -5.1, trying to ...
  1. #1
    Newbie Array

    Join Date
    Jun 2012
    Posts
    1
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default Trying to restore and update, getting the 'firmware file not compatible' error- help?

    -iPhone 4
    -will be relying on an unlock
    -in pwned DFU mode
    -5.1, trying to go to 5.1.1 for the new untethered jailbreak
    -Not sure whether it's GSM or CDMA, but leaning towards GSM.
    -iTunes is on version 10.5.2.11

    I plugged it in and pressed 'Restore and Update' in iTunes- it downloads the update and then gives me the error, 'The iPhone 'iPhone' could not be restored because the firmware file is not compatible'.

    I've tried downloading IPSW's for 5.1.1 from places like iJailbreak and iClarified as well- it won't take them.

    What's up with my iPhone?



  2. #2
    sam
    sam is offline
    Chief of Administration
    iPhone Dev Team
    Array sam's Avatar

    Join Date
    Jun 2007
    Posts
    1,852
    Post Thanks / Like
    Downloads
    35
    Uploads
    277
    Rep Power
    10

    Default

    Did you try the right ipsw for your device? There are different ipsw for each device.
    If you just want to support hackint0sh.org with a donation click here.
    Follow me on twitter: http://twitter.com/sam_hackint0sh

  3. #3
    Amazingly Knowledgeable Array rugburn's Avatar

    Join Date
    Aug 2007
    Posts
    965
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    69

    Default

    iPhone 4..... here is how to identify if your iPhone is GSM or CDMA.

    Look on the back of your iPhone...if the Model number is

    A1332 then your iPhone is a GSM phone and you will need to select GSM for the firmware

    if your Model is A1349 then you have CDMA phone and select CDMA firmware...

    Here is the LIST... Identifying iPhone models
    iPhone 1.0.2 OTB->Virginized->1.1.4 FW->Winpwn FW 2.0.1 Quickpwn 2.0.1 to FW 2.2.1->RedsnOw->3.0 FW itunes3.0.1FW->RedsnOw 8 to unlock->RedSnow 0.9.2 upgrade to 3.1.2->iPhone 2g 3.1.2 and as of July 30th,2010->iPhone 4-32GB & iPhone 4-16Gb->Unlocked

    Can someone give me a thumbs up click on Reputation ...thanks

    --------

 

 

Similar Threads

  1. Restore to 4.2.1 firmware file not compatible
    By RayDog4372 in forum iOS 4.x (iPhone OS 4.x)
    Replies: 3
    Last Post: 03-29-2011, 05:21 PM
  2. Replies: 1
    Last Post: 03-03-2011, 10:26 PM
  3. Replies: 12
    Last Post: 01-19-2011, 03:59 PM
  4. Replies: 3
    Last Post: 02-24-2010, 07:46 AM
  5. Ipod will not update, firmware not compatible
    By Budmonster in forum iPod Touch 1G
    Replies: 0
    Last Post: 07-27-2009, 11:42 PM

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Powered by vBulletin®
Copyright © 2014 vBulletin Solutions, Inc. All rights reserved.
Search Engine Friendly URLs by vBSEO
(c) 2006-2012 Hackint0sh.org
All times are GMT +2. The time now is 09:31 AM.
twitter, follow us!